[R] Packfor library-problem downloading

From: Jubilo <jucpgarcia_at_gmail.com>
Date: Thu, 22 May 2008 08:05:43 -0700 (PDT)

Hello,

I'm a new user to R, and I was trying to install "packfor" in my R console and I always run into an error.
I tried to search, in in the forum, someone that already might have made the same question, but all I could find was a general information how to install libraries in R.

Pass through all that procedure (Package&Data->Package Installer->Local Source Package[because my library was in a folder in my computer]), I have a message that is "DONE", but then I do the command "library(packfor)" and I get an error message:



WARNING: ignoring environment value of R_HOME * Installing *binary* package 'packfor' ... * DONE (packfor)
> library(packfor)

packfor: R Package for Forward Selection (Canoco Manual p.49) version 0.0-8Error in dyn.load(file, DLLpath = DLLpath, ...) :   unable to load shared library
'/Library/Frameworks/R.framework/Versions/2.7/Resources/library/packfor/libs/i386/packfor.so':  

dlopen(/Library/Frameworks/R.framework/Versions/2.7/Resources/library/packfor/libs/i386/packfor.so, 6): Library not loaded: /usr/local/lib/libgfortran.2.dylib   Referenced from:
/Library/Frameworks/R.framework/Versions/2.7/Resources/library/packfor/libs/i386/packfor.so   Reason: image not found
Error in library(packfor) : .First.lib failed for 'packfor'


I have a mac where I installed R2.7.0, and I want to use the "packfor_0.0-8_for_R2.7.tar.gz". I already uninstalled R twice and installed it again, I already used another packfor file, from another person... I ran out of ideas so I would like a little bit of help.

My R also presents an other error when it starts:



During startup - Warning messages:
1: Setting LC_CTYPE failed, using "C" 
2: Setting LC_COLLATE failed, using "C" 
3: Setting LC_TIME failed, using "C" 
4: Setting LC_MESSAGES failed, using "C" 
WARNING: You're using a non-UTF8 locale, therefore only ASCII characters will work.
Please read R for Mac OS X FAQ (see Help) section 9 and adjust your system preferences accordingly.

I don't know if this is important to solve the issue, but anyway I already done other analysis (which means that I used other libraries) and I didn't have any problem. Besides the section 9 from the Help talks about version previous the one that I have (1.0.1, 2.0 and 2.1).

Thanks in advance for any idea that you might have ,

Ju

-- 
View this message in context: http://www.nabble.com/Packfor-library-problem-downloading-tp17406291p17406291.html
Sent from the R help mailing list archive at Nabble.com.

	[[alternative HTML version deleted]]

______________________________________________
R-help_at_r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Received on Thu 22 May 2008 - 17:05:30 GMT

Archive maintained by Robert King, hosted by the discipline of statistics at the University of Newcastle, Australia.
Archive generated by hypermail 2.2.0, at Wed 04 Jun 2008 - 21:30:49 GMT.

Mailing list information is available at https://stat.ethz.ch/mailman/listinfo/r-help. Please read the posting guide before posting to the list.

list of date sections of archive